package com.dayou.vo;

import com.dayou.common.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class AssetsProductionFundVo extends BaseEntity {

    /**
     * 项目名称
     */
    private String name;

    /**
     * 项目编号
     */
    private String orderId;

    /**
     * 产品id
     */
    private Long productionId;

    /**
     * 产品号
     */
    private String productionNo;

    /**
     * 订单收款id
     */
    private Long orderFundId;

    /**
     * 订单应收款
     */
    private BigDecimal orderShouldAmount;

    /**
     * 订单实收款
     */
    private BigDecimal orderRealAmount;

    /**
     * 产品收款id
     */
    private Long productionFundId;

    /**
     * 产品应收款
     */
    private BigDecimal productionShouldAmount;

    /**
     * 产品实收款
     */
    private BigDecimal productionRealAmount;

    /**
     * 产品标准收费
     */
    private BigDecimal standardAmount;

    /**
     * 提成申报审批结果
     */
    private String declareResult;
}
